;Start 16 BITS bootloader program
[BITS 16]

;Save the first adress with a label to complete the MBR at the end.
start:

;Include bios routines and jump to skip including code
jmp skipInc
%include "clearScreenIntBios.asm"
skipInc:

;Init CPU registers
mov ax, 0x0C70	;Put bootloader adress in ax register
mov ds, ax	;Init data segment
mov ax, 0x8000
mov ss, ax
mov ax, 0xf000
mov sp, ax

;Clear the screen
call clearScreenIntBios

;Pause here !
infiniteLoop:
	jmp infiniteLoop


;Complete the MBR with nothing
times 510 - ($ - start) db 0x0

;Declare magic number
dw 0xAA55
